<div ng-controller="ContainerOperadorCtrl">
    <div class="page page-tables-bootstrap">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Contenedor</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="pagecontent">
            <div class="panel panel-success">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-list"></i> Lista de Contenedores</h3>
                </div>            
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Buscar</label>
                            <input type="text" class="form-control" placeholder="Buscar contenedor" ng-model="buscar">
                        </div>
                        <div class="col-md-4">
                            <label>Año</label>
                            <select class="form-control" ng-model="id_anio" ng-change="listSemana(id_anio)" ng-options="an.id as an.anio for an in anios">
                                <option value="">-- Año --</option>
                            </select>
                        </div>
                        <div class="col-md-4">
                            <label>Semana</label>
                            <select class="form-control" ng-disabled="!id_anio" ng-model="id_semana" ng-change="changeSemana(id_semana)" ng-options="sem.id as sem.nombre for sem in semanas">
                                <option value="">-- Semana --</option>
                            </select>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-4">
                            
                        </div>
                        <div class="col-md-4">
                            <a ng-click="redirect()" ui-sref="home.container.my_files_o" class="btn btn-info btn-rounded-10 btn-block"><i class="fa fa-files-o"></i> gestión de archivos</a>
                        </div>
                        <div class="col-md-4">
                            <h4 ng-if="!flagLoading" ng-show="flag"><strong>Cantidad : {{containers.length}} Contenedores</strong></h4>
                        </div>
                    </div>
                    <br>
                    <div class="loading-container" ng-if="flagLoading">
                        <div class="loading"></div>
                        <div id="loading-text">Cargando</div>
                    </div>
                    <div class="row" ng-if="!flagLoading">
                        <div class="col-md-12" ng-hide="flag">
                            <p class="text-center">
                                <i class="fa fa-truck fa-4x"></i>
                                <h5 class="text-center">no hay contenedores registrados</h5>
                            </p>
                        </div>
                        <div class="col-md-12" ng-show="flag">
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <tr style="background:#F2F2F2">
                                        <th style="vertical-align: middle;">Opciones</th>
                                        <th style="vertical-align: middle;">Estado</th>
                                        <th style="vertical-align: middle;">W</th>
                                        <th style="vertical-align: middle;">Inicio Proceso</th>
                                        <th style="vertical-align: middle;">Fin Proceso</th>
                                        <th style="vertical-align: middle;">Operador Logístico</th>
                                        <th style="vertical-align: middle;">Línea</th>
                                        <th style="vertical-align: middle;">Nave</th>
                                        <th style="vertical-align: middle;">Booking</th>
                                        <th style="vertical-align: middle;">Cliente</th>
                                        <th style="vertical-align: middle;">Cantidad Cajas</th>
                                        <th style="vertical-align: middle;">Marca</th>
                                        <th style="vertical-align: middle;">Contenedor</th>
                                        <th style="vertical-align: middle;">Orden/Referencia</th>
                                        <th style="vertical-align: middle;">Destino</th>
                                        <th style="vertical-align: middle;">Peso Neto</th>
                                        <th style="vertical-align: middle;">Peso Bruto</th>
                                        <th style="vertical-align: middle;">Fecha Zarpe</th>
                                        <th style="vertical-align: middle;">Fecha Llegada</th>
                                        <th style="vertical-align: middle;">Factura</th>
                                        <th style="vertical-align: middle;">Packing</th>
                                        <th style="vertical-align: middle;">Certificado</th>
                                        <th style="vertical-align: middle;">Valija</th>
                                    </tr>
                                    <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 10" pagination-id="con.id_contenedor">
                                        <tr>
                                            <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                                <div class="input-group-btn">
                                                    <button class="btn btn-default" title="Editar Contenedor {{con.numero_contenedor}}" ng-click="load(con);openModalSave($event)" data-options="splash-2 splash-ef-14"><span class="fa fa-edit"></span></button>
                                                    <!-- <button class="btn btn-default" title="Ver más detalles del Contenedor {{con.numero_contenedor}}" ng-click="redirectDetalle(con)"><i class="fa fa-desktop"></i></button> -->
                                                </div>
                                            </td>
                                            <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
                                                <span class="badge" style="background: {{con.color_estado}};">{{con.estado}}</span>
                                            </td>
                                            <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.semana}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_proceso_inicio}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_proceso_fin}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.operador}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.linea_naviera}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.nave | uppercase}} V. {{con.viaje}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.booking}}</td>
                                            <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap>{{con.cliente}}</td>
                                            <td style="vertical-align: middle;" nowrap>{{ con.cajas[0].cantidad_cajas }}</td>
                                                <td style="vertical-align: middle;" nowrap>{{con.cajas[0].marca}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.numero_contenedor}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.referencia}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.puerto_destino}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_neto}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.peso_bruto}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_zarpe}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">{{con.dia_llegada}}</td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                <span style="color: white;background: {{con.color_estado_factura}};" class="label">{{con.estado_factura}}</span>
                                            </td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                <span style="color: white;background: {{con.color_estado_packing}};" class="label">{{con.estado_packing}}</span>
                                            </td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                <span style="color: white;background: {{con.color_estado_certificado}};" class="label">{{con.estado_certificado}}</span>
                                            </td>
                                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
                                                <span style="color: white;background: {{con.color_estado_valija}};" class="label">{{con.estado_valija}}</span>
                                            </td>
                                        </tr>
                                        <tr ng-repeat="caj in con.cajas.slice(1,con.cajas.length)">
                                            <td nowrap>{{caj.cantidad_cajas}}</td>
                                            <td nowrap>{{caj.marca}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="text-center">
                                <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/ng-template" id="modal_container.html">
        <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font" style="font-weight: bold;">
                    <span ng-show="obj.crud">Datos del </span><span ng-hide="obj.crud">Actualizar datos del </span> Contenedor
                </h3>
            </div>            
        </div>
        <div class="modal-body">
            <form> 
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-12">
                                    <label for="">Número</label>
                                    <input type="text" ng-model="obj.numero_contenedor" class="form-control" id="codigo" placeholder="Ejm. LIAM 989873-1">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Línea Naviera | <span class="obligatorio">(obligatorio)</span></label>
                                    <select class="form-control" ng-model="obj.id_lineanaviera" ng-options="li.id as li.nombre for li in lineas">
                                        <option value="">-- Seleccione Línea --</option>
                                    </select>
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Nave</label>
                                    <input type="text" ng-model="obj.nave" class="form-control" placeholder="Nave">
                                </div>                                
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Cliente</label> 
                                    <input type="text" class="form-control" ng-model="obj.cliente" ng-disabled="true">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Operador</label>
                                    <input type="text" class="form-control" ng-model="obj.operador" ng-disabled="true">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Peso Neto (kg)</label>
                                    <input type="text" ng-disabled="true" ng-model="obj.peso_neto" class="form-control" placeholder="Peso Neto" disabled>
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Peso Bruto (kg)</label>
                                    <input type="text" class="form-control" ng-model="obj.peso_bruto" placeholder="Peso Bruto">
                                </div>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-6">

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Referencia</label>
                                    <input type="text" ng-disabled="true" ng-model="obj.referencia" class="form-control" placeholder="Referencia">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Booking</label>
                                    <input type="text" ng-model="obj.booking" class="form-control" placeholder="Booking">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="">Viaje</label>
                                    <input type="text" ng-model="obj.viaje" class="form-control" placeholder="Viaje">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Puerto Destino | <span class="obligatorio">(obligatorio)</span></label>
                                    <select class="form-control" ng-model="obj.id_puertodestino" ng-options="pu.id as pu.nombre for pu in puertos">
                                        <option value="">-- Seleccione Puerto --</option>
                                    </select>
                                </div>                       
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Fecha Inicio Proceso</label>
                                    <input type="date" ng-disabled="true" ng-model="obj.fecha_proceso_inicio_t" class="form-control">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Fecha Fin Proceso</label>
                                    <input type="date" ng-disabled="true" ng-model="obj.fecha_proceso_fin_t" class="form-control">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="control-label">Fecha de Zarpe</label>
                                    <input type="date" ng-model="obj.fecha_zarpe_t" class="form-control">
                                </div>
                                <div class="col-md-6">
                                    <label class="control-label">Fecha de Llegada</label>
                                    <input type="date" ng-model="obj.fecha_llegada_t" class="form-control">
                                </div>
                            </div>
                        </div>

                    </div> 
                    <div class="col-md-12">
                        * Solo puede actualizar el campo "peso bruto", los demás campos están inhabilitados.
                    </div>                   
                </div>
                <legend class="text-center"><i class="fa fa-inbox"></i> Cajas</legend>
                <div class="row">
                    <div class="col-md-6 col-md-offset-3">
                        <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Total</th>
                                        <th class="text-center">Marca</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="cja in obj.cajas track by $index">
                                        <td><small>{{cja.cantidad_cajas}}</small></td>
                                        <td class="text-center"><small>{{cja.marca | uppercase}}</small></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <hr>
                 <div class="text-center">
                    <button type="button" ng-if="isSave" class="btn btn-default btn-border btn-rounded-10" ng-click="ok()">
                    <span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"><i class="fa fa-refresh"></i> Actualizar</span></button>
                    <button ng-if="!isSave" class="btn btn-border btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> <span ng-if="obj.crud">Guardando...</span><span ng-if="!obj.crud">Actualizando...</span></button>
                    <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
                </div>                
            </form>
        </div>
    </script> 
</div>